apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: vault-to-postgres-network-policy
  namespace: {{ .Values.namespaces.transaction }}
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/name: vault
  policyTypes:
    - Egress
  egress:
    - to:
      - namespaceSelector: {}
        podSelector:
          matchLabels:
            app.kubernetes.io/name: postgresql
      ports:
        - protocol: TCP
          port: 5432